> For the complete documentation index, see [llms.txt](https://docs.cloud.olakrutrim.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloud.olakrutrim.com/sdk-guide/key-certificate-manager-sdk.md).

# Key Certificate Manager SDK

## POST /certs/import

> 1\. Import Certificate

```json
{"openapi":"3.0.0","info":{"title":"Key Certificate Manager (KCM) API","version":"1.11.0"},"servers":[{"url":"http://10.230.150.171/kcm/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/certs/import":{"post":{"summary":"1. Import Certificate","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"certFile":{"type":"string","format":"binary"},"name":{"type":"string"},"tags":{"type":"string"},"flag":{"type":"string"}}}}}},"responses":{"200":{"description":"Success"}}}}}}
```

## GET /certs/list

> 2\. List Certificates

```json
{"openapi":"3.0.0","info":{"title":"Key Certificate Manager (KCM) API","version":"1.11.0"},"servers":[{"url":"http://10.230.150.171/kcm/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/certs/list":{"get":{"summary":"2. List Certificates","parameters":[{"name":"vpcId","in":"query","required":true,"schema":{"type":"string"}},{"name":"lbtype","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}}}}
```

## GET /certs/detail

> 3\. Get Certificate by ID

```json
{"openapi":"3.0.0","info":{"title":"Key Certificate Manager (KCM) API","version":"1.11.0"},"servers":[{"url":"http://10.230.150.171/kcm/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/certs/detail":{"get":{"summary":"3. Get Certificate by ID","parameters":[{"name":"certId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}}}}
```

## DELETE /certs/delete/{pathCertId}

> 4\. Delete Certificate

```json
{"openapi":"3.0.0","info":{"title":"Key Certificate Manager (KCM) API","version":"1.11.0"},"servers":[{"url":"http://10.230.150.171/kcm/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/certs/delete/{pathCertId}":{"delete":{"summary":"4. Delete Certificate","parameters":[{"name":"pathCertId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}}}}
```

## GET /certs/expiringIn

> 5\. Get Expiring Certificates

```json
{"openapi":"3.0.0","info":{"title":"Key Certificate Manager (KCM) API","version":"1.11.0"},"servers":[{"url":"http://10.230.150.171/kcm/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/certs/expiringIn":{"get":{"summary":"5. Get Expiring Certificates","parameters":[{"name":"date","in":"query","required":true,"schema":{"type":"string"}},{"name":"vpcId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}}}}
```

## PUT /certs/tags/{pathCertId}

> 6\. Update Tags (JSON)

```json
{"openapi":"3.0.0","info":{"title":"Key Certificate Manager (KCM) API","version":"1.11.0"},"servers":[{"url":"http://10.230.150.171/kcm/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/certs/tags/{pathCertId}":{"put":{"summary":"6. Update Tags (JSON)","parameters":[{"name":"pathCertId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object"}}}},"responses":{"200":{"description":"Success"}}}}}}
```

## GET /certs/tags

> 7\. Get Tag Value

```json
{"openapi":"3.0.0","info":{"title":"Key Certificate Manager (KCM) API","version":"1.11.0"},"servers":[{"url":"http://10.230.150.171/kcm/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/certs/tags":{"get":{"summary":"7. Get Tag Value","parameters":[{"name":"certId","in":"query","required":true,"schema":{"type":"string"}},{"name":"tagName","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"}}}}}}
```

## PUT /certs/update/{pathCertId}

> 8\. Update Certificate Bundle (Binary)

```json
{"openapi":"3.0.0","info":{"title":"Key Certificate Manager (KCM) API","version":"1.11.0"},"servers":[{"url":"http://10.230.150.171/kcm/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/certs/update/{pathCertId}":{"put":{"summary":"8. Update Certificate Bundle (Binary)","parameters":[{"name":"pathCertId","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Vpc-Id","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"certFile":{"type":"string","format":"binary"},"flag":{"type":"string"}}}}}},"responses":{"200":{"description":"Success"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cloud.olakrutrim.com/sdk-guide/key-certificate-manager-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
